/*-------------------------------------------------------------------------*/
/*   This is a part of CLIP-UI library					   */
/*						                 	   */
/*   Copyright (C) 2003 by E/AS Software Foundation 		           */
/*   Author: Andrey Cherepanov <sibskull@mail.ru>			   */
/*   Last change: 30 May 2004						   */
/*   									   */
/*   This program is free software; you can redistribute it and/or modify  */
/*   it under the terms of the GNU General Public License as               */
/*   published by the Free Software Foundation; either version 2 of the    */
/*   License, or (at your option) any later version.                       */
/*-------------------------------------------------------------------------*/

static driver := getDriver()

static empty_pixmap := { ;
'16 16 1 1', ;
'. c None', ;
'................', ;
'................', ;
'................', ;
'................', ;
'................', ;
'................', ;
'................', ;
'................', ;
'................', ;
'................', ;
'................', ;
'................', ;
'................', ;
'................', ;
'................', ;
'................' }


static error_pixmap := { ;
"32 32 250 2", ;
".# c None", ;
"Qt c None", ;
"ba c #8a0000", ;
"bP c #a00000", ;
"#s c #a10000", ;
"a3 c #b30000", ;
".y c #b40000", ;
".k c #ca0000", ;
"b0 c #9a0000", ;
"bj c #8a0000", ;
"aO c #8d0000", ;
"#R c #9b0000", ;
"bG c #a30000", ;
"#j c #a40000", ;
"bb c #b00000", ;
".M c #b10000", ;
"aI c #b90000", ;
".j c #ba0000", ;
".a c #c70000", ;
".z c #ca0000", ;
"bZ c #8a0000", ;
"a2 c #8b0000", ;
"aH c #8e0000", ;
"#1 c #990000", ;
"bQ c #9f0000", ;
"#A c #a00000", ;
"aV c #b40000", ;
".x c #b50000", ;
".i c #bb0000", ;
".b c #c60000", ;
".l c #c90000", ;
"bq c #890000", ;
"bz c #a60000", ;
"#d c #a70000", ;
"bk c #ac0000", ;
".Y c #ad0000", ;
".8 c #ca0000", ;
".N c #cb0000", ;
"by c #890000", ;
"br c #a90000", ;
".7 c #aa0000", ;
".Z c #cb0000", ;
"b3 c #8f0000", ;
"az c #900000", ;
"b1 c #970000", ;
"#8 c #980000", ;
"at c #bc0000", ;
".h c #bd0000", ;
"#2 c #c40000", ;
".c c #c50000", ;
"as c #910000", ;
"b2 c #950000", ;
"ab c #960000", ;
"am c #be0000", ;
".g c #bf0000", ;
".d c #c30000", ;
"aU c #8c0000", ;
"bR c #9d0000", ;
"#H c #9e0000", ;
"aP c #b60000", ;
".w c #b70000", ;
".m c #c80000", ;
"b# c #8a0000", ;
"bH c #a10000", ;
"#r c #a30000", ;
"a4 c #b10000", ;
".L c #b20000", ;
"#k c #c90000", ;
".A c #ca0000", ;
"bi c #8a0000", ;
"a1 c #8c0000", ;
"aN c #8e0000", ;
"aG c #8f0000", ;
"al c #920000", ;
"b. c #930202", ;
"bF c #930404", ;
"ah c #940000", ;
"ay c #970000", ;
"bY c #970606", ;
"bS c #9a0000", ;
"#0 c #9b0000", ;
"#Q c #9c0000", ;
"bO c #9c0a0a", ;
"#7 c #9f0000", ;
"bT c #9f0606", ;
"bI c #a00000", ;
"#z c #a10000", ;
"bh c #a10707", ;
"bx c #a10b0b", ;
"bA c #a50000", ;
"#i c #a60000", ;
"bs c #a80000", ;
"#c c #a90000", ;
"bB c #a90404", ;
"#G c #aa0000", ;
"bJ c #aa0a0a", ;
"ar c #ab0000", ;
".6 c #ac0000", ;
"ag c #ad0000", ;
"bX c #ad1717", ;
"aa c #ae0000", ;
"bW c #ae1717", ;
".X c #af0000", ;
"bV c #af1717", ;
"bU c #b11717", ;
"aW c #b30000", ;
".K c #b40000", ;
".W c #b50000", ;
"a5 c #b50202", ;
"bt c #b70b0b", ;
"bp c #b71212", ;
".v c #b80000", ;
"aA c #b90000", ;
".u c #ba0000", ;
"bc c #bc0707", ;
".J c #bd0000", ;
"aQ c #be0000", ;
".t c #bf0000", ;
".f c #c00000", ;
"ac c #c10000", ;
".e c #c20000", ;
".o c #c50000", ;
".n c #c60000", ;
"bN c #c72929", ;
".B c #c80000", ;
".O c #ca0000", ;
"bl c #ca1212", ;
".s c #cb0000", ;
".r c #cc0000", ;
".q c #cd0000", ;
"a0 c #cd0909", ;
"bE c #cd2929", ;
".p c #ce0000", ;
"bK c #ce2929", ;
".0 c #d00000", ;
"#y c #d00909", ;
".I c #d50000", ;
"bC c #d62929", ;
".V c #d70e0e", ;
".9 c #d80000", ;
"aJ c #da0000", ;
".C c #dc0000", ;
"aX c #dd0909", ;
"#I c #de0000", ;
".P c #df0000", ;
"#Z c #e20000", ;
"aF c #e60000", ;
"#S c #ea0606", ;
".H c #ea2e2e", ;
"bM c #ea4545", ;
".D c #eb1f1f", ;
"bL c #ec4545", ;
"#q c #ed3f3f", ;
"aB c #ee0000", ;
"#l c #ee1515", ;
".5 c #ee4343", ;
".1 c #ef2828", ;
"a9 c #f11919", ;
"bw c #f13636", ;
"#Y c #f20000", ;
"#e c #f33a3a", ;
"#. c #f33e3e", ;
"aq c #f40000", ;
"#P c #f41818", ;
"bu c #f43636", ;
"#3 c #f51616", ;
"a6 c #f51919", ;
"#B c #f52222", ;
"#b c #f57171", ;
"#h c #f67474", ;
"ax c #f70000", ;
"#X c #f72929", ;
"#O c #f72f2f", ;
".Q c #f75656", ;
".E c #f75c5c", ;
"bg c #f82626", ;
"bo c #f83030", ;
".G c #f86b6b", ;
"au c #f90101", ;
"an c #f90808", ;
"ai c #f91111", ;
"ad c #f91a1a", ;
"#9 c #f92222", ;
".U c #f97474", ;
".F c #f97b7b", ;
"aE c #fa0000", ;
"bd c #fa2626", ;
"bm c #fa3030", ;
"#F c #fa5555", ;
"#6 c #fa9f9f", ;
"#J c #fb5353", ;
"#N c #fb5555", ;
"#t c #fc7373", ;
"aw c #fc9f9f", ;
".2 c #fca4a4", ;
"#W c #fcacac", ;
".R c #fcafaf", ;
"aC c #fd0101", ;
"aD c #fd9f9f", ;
".T c #fdcdcd", ;
"aK c #fe0000", ;
"#M c #fe7272", ;
"#x c #fe9090", ;
"aL c #fe9f9f", ;
"#m c #fea0a0", ;
"## c #febfbf", ;
".4 c #fecdcd", ;
"av c #ff0202", ;
"aR c #ff0707", ;
"ao c #ff1010", ;
"aY c #ff1212", ;
"a7 c #ff1d1d", ;
"aj c #ff2222", ;
"be c #ff2828", ;
"ae c #ff3333", ;
"bn c #ff3434", ;
"aS c #ff3535", ;
"bv c #ff3f3f", ;
"a. c #ff4545", ;
"bD c #ff4a4a", ;
"bf c #ff5151", ;
"#4 c #ff5656", ;
"#T c #ff6767", ;
"aZ c #ff6c6c", ;
"a8 c #ff7272", ;
"#K c #ff7979", ;
"#C c #ff8a8a", ;
"#u c #ff9a9a", ;
"aM c #ff9f9f", ;
"#D c #ffa0a0", ;
"aT c #ffa3a3", ;
"ap c #ffa7a7", ;
"#n c #ffabab", ;
"ak c #ffadad", ;
"af c #ffb1b1", ;
"a# c #ffb8b8", ;
"#f c #ffbcbc", ;
"#5 c #ffbebe", ;
"#v c #ffc1c1", ;
"#U c #ffc5c5", ;
"#V c #ffc7c7", ;
"#g c #ffcaca", ;
"#a c #ffcccc", ;
"#L c #ffcece", ;
"#E c #ffd4d4", ;
"#w c #ffdbdb", ;
".3 c #ffdcdc", ;
"#p c #ffe1e1", ;
".S c #ffebeb", ;
"#o c #ffffff", ;
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt", ;
"Qt.#.#.#.#.#.#.#.#.#.#.a.b.c.d.e.f.g.h.i.j.#.#.#.#.#.#.#.#.#.#Qt", ;
"Qt.#.#.#.#.#.#.#.k.l.m.n.o.n.p.q.r.s.t.u.v.w.x.y.#.#.#.#.#.#.#Qt", ;
"Qt.#.#.#.#.#.#.z.A.B.r.C.D.E.F.F.F.F.G.H.I.J.K.L.M.#.#.#.#.#.#Qt", ;
"Qt.#.#.#.#.#.N.O.s.P.Q.R.S.S.S.S.S.S.S.S.T.U.V.W.X.Y.#.#.#.#.#Qt", ;
"Qt.#.#.#.#.Z.O.0.1.2.3.3.3.3.3.3.3.3.3.3.3.3.4.5.u.6.7.#.#.#.#Qt", ;
"Qt.#.#.#.8.O.9#.###a#a#a#a#a#a#a#a#a#a#a#a#a#a#a#b.o#c#d.#.#.#Qt", ;
"Qt.#.#.z.O.0#e#f#f#f#g#f#f#f#f#f#f#f#f#f#f#g#f#f#f#h.W#i#j.#.#Qt", ;
"Qt.#.k#k.s#l#m#n#n#a#o#p#n#n#n#n#n#n#n#n#p#o#a#n#n#n#q#c#r#s.#Qt", ;
"Qt.#.l.B.P#t#u#u#v#o#o#o#w#u#u#u#u#u#u#w#o#o#o#v#u#u#x#y#z#A.#Qt", ;
"Qt.#.m.r#B#C#C#D#o#o#o#o#o#E#C#C#C#C#E#o#o#o#o#o#D#C#C#F#G#H.#Qt", ;
"Qt.a.n#I#J#K#K#K#a#o#o#o#o#o#L#K#K#L#o#o#o#o#o#a#M#N#O#P.B#Q#RQt", ;
"Qt.b.o#S#T#T#T#T#T#U#o#o#o#o#o#V#V#o#o#o#o#o#W#X#Y#Y#Y#Y#Z#0#1Qt", ;
"Qt#2.n#3#4#4#4#4#4#4#5#o#o#o#o#o#o#o#o#o#o#6#Y#Y#Y#Y#Y#Y#Y#7#8Qt", ;
"Qt.d.p#9a.a.a.a.a.a.a.a##o#o#o#o#o#o#o#o#6#Y#Y#Y#Y#Y#Y#Y#YaaabQt", ;
"Qtac.radaeaeaeaeaeaeaeaeaf#o#o#o#o#o#o#6#Y#Y#Y#Y#Y#Y#Y#Y#YagahQt", ;
"Qt.f.saiajajajajajajajajak#o#o#o#o#o#o#6#Y#Y#Y#Y#Y#Y#Y#Y#Y.6alQt", ;
"Qtam.Oanaoaoaoaoaoaoaoap#o#o#o#o#o#o#o#o#6aqaqaqaqaqaqaqaqarasQt", ;
"Qtat.tauavavavavavav#D#o#o#o#o#o#o#o#o#o#oawaxaxaxaxaxaxaxayazQt", ;
"Qt.iaAaBaCaCaCaCaC#m#o#o#o#o#oaDaD#o#o#o#o#oaDaEaEaEaEaEaFaGaHQt", ;
"QtaI.vaJaKaKaKaKaL#o#o#o#o#oaMaKaKaM#o#o#o#o#oaLaKaKaKaK.naNaOQt", ;
"Qt.#aPaQaRaRaRaS#o#o#o#o#oaTaRaRaRaRaT#o#o#o#o#oaSaRaRaR#QaU.#Qt", ;
"Qt.#aVaWaXaYaYaYaZ#o#o#oapaYaYaYaYaYaYap#o#o#oaZaYaYaYa0a1a2.#Qt", ;
"Qt.#a3a4a5a6a7a7a7a8#o#na7a7a7a7a7a7a7a7#n#oa8a7a7a7a9b.b#ba.#Qt", ;
"Qt.#.#bbaabcbdbebebebfbebebebebebebebebebebfbebebebgbhbibj.#.#Qt", ;
"Qt.#.#.#bkarblbmbnbnbnbnbnbnbnbnbnbnbnbnbnbnbnbnbobpbibq.#.#.#Qt", ;
"Qt.#.#.#.#brbsbtbubvbvbvbvbvbvbvbvbvbvbvbvbvbvbwbxbiby.#.#.#.#Qt", ;
"Qt.#.#.#.#.#bzbAbBbCbDbDbDbDbDbDbDbDbDbDbDbDbEbFbibq.#.#.#.#.#Qt", ;
"Qt.#.#.#.#.#.#bGbHbIbJbKbL#4#4#4#4#4#4bMbNbOa1b#bj.#.#.#.#.#.#Qt", ;
"Qt.#.#.#.#.#.#.#bPbQbR#0bSbTbUbVbWbXbYaGaNaUbZba.#.#.#.#.#.#.#Qt", ;
"Qt.#.#.#.#.#.#.#.#.#.#b0#1b1b2ahalasb3aHaO.#.#.#.#.#.#.#.#.#.#Qt", ;
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt" }

static info_pixmap := { ;
"32 32 660 2", ;
"hz c None", ;
"at c None", ;
".7 c None", ;
"hy c None", ;
".m c None", ;
".l c None", ;
".D c None", ;
".k c None", ;
"#q c None", ;
".# c None", ;
".8 c None", ;
"fc c None", ;
"hx c None", ;
"fX c None", ;
"Qt c None", ;
"fz c #c0c6d6", ;
"eR c #ebeaec", ;
"ij c #e9e9e9", ;
"bg c #d3d8e3", ;
"aa c #e0e3e9", ;
"ik c #dbdbdb", ;
"#p c #e1e3e6", ;
".C c #e9ebec", ;
"#r c #e4e8ed", ;
"ii c #e4e2e0", ;
"fb c #e8e9ed", ;
".Q c #e4e7ec", ;
"aS c #abb5c6", ;
"hA c #c2c8d3", ;
"gi c #dee2e9", ;
"fW c #e8e9ed", ;
".9 c #c1c9d5", ;
"ex c #c3c9d7", ;
"gD c #c3cbdb", ;
".n c #e7e9ed", ;
".P c #aab6c8", ;
"eQ c #c7ccd9", ;
".a c #cfd4de", ;
"ir c #dedfe1", ;
".j c #d5d9e1", ;
"h7 c #dfdfdf", ;
"hd c #bbc5d9", ;
"cB c #9aaac4", ;
"ca c #b1bacb", ;
"iq c #c7cdd7", ;
"ab c #375a93", ;
"#s c #35588f", ;
"bf c #486593", ;
"hB c #768eb6", ;
"gh c #aeb9cd", ;
".b c #8194b3", ;
"h8 c #bac2cf", ;
"ie c #5274b3", ;
"if c #5b7ab2", ;
"il c #c4cad5", ;
"e# c #0f63ab", ;
"d8 c #1067b1", ;
"dR c #1161ac", ;
"ev c #1362a9", ;
"dO c #1467b3", ;
"a. c #154188", ;
".5 c #17458f", ;
"dn c #1766b2", ;
"cZ c #1a64b1", ;
"dq c #1b65b0", ;
"cA c #1c60ac", ;
"ey c #1c67a9", ;
"eP c #1d5c9c", ;
"bF c #1e56a9", ;
"bG c #1f55a7", ;
"fe c #1f6bb0", ;
"c# c #2158a0", ;
"bE c #2158aa", ;
"b6 c #215cae", ;
"d1 c #2169bc", ;
"ej c #216bbf", ;
"cQ c #2263b6", ;
"f# c #2273bb", ;
"eO c #2273c0", ;
"#V c #23529d", ;
"b7 c #235cae", ;
"fx c #236db1", ;
"eu c #236fbd", ;
"ez c #2477c2", ;
"eT c #247bc3", ;
"b9 c #255bac", ;
"b8 c #255dae", ;
"b5 c #255fb0", ;
"cs c #2561b3", ;
"cR c #2565b6", ;
"df c #2567b9", ;
"bI c #26508f", ;
".S c #265196", ;
"be c #265dab", ;
"cy c #265dae", ;
"cx c #265faf", ;
"cz c #2662b2", ;
"cY c #2662b3", ;
"ct c #2663b3", ;
"dm c #2664b5", ;
"dN c #2666b7", ;
"d7 c #2669b9", ;
"dF c #266abb", ;
"ea c #266ebd", ;
"#I c #27559d", ;
"aR c #2757a0", ;
"cX c #275fb0", ;
"cw c #2760b0", ;
"cv c #2761b1", ;
"bH c #2761b2", ;
"cu c #2762b2", ;
"dl c #2762b3", ;
"cW c #2763b3", ;
"c. c #2763b4", ;
"cr c #2764b4", ;
"dM c #2764b5", ;
"d4 c #276dbe", ;
".d c #28497c", ;
"#Y c #28559c", ;
"cV c #2864b4", ;
"dk c #2865b5", ;
"cU c #2865b6", ;
"cT c #2866b6", ;
"cS c #2866b7", ;
"dL c #2867b7", ;
"dj c #2868b8", ;
"dS c #2869b9", ;
"en c #2870c0", ;
".f c #294a80", ;
"dK c #2967b8", ;
"dT c #2968b8", ;
"di c #2969b9", ;
"dh c #2969ba", ;
"dJ c #296ab9", ;
"dg c #296aba", ;
"dI c #296abb", ;
"dH c #296bbc", ;
"c2 c #296cb3", ;
"dB c #296cbd", ;
"et c #2a68b9", ;
"eN c #2a6abb", ;
"dU c #2a6bba", ;
"es c #2a6bbc", ;
"dV c #2a6cbb", ;
"eA c #2a6cbc", ;
"dG c #2a6cbd", ;
"dW c #2a6dbc", ;
"dX c #2a6dbd", ;
"eU c #2a6dbf", ;
"dY c #2a6ebd", ;
"d6 c #2a6ebe", ;
"d5 c #2a6ebf", ;
"d0 c #2a6fbe", ;
"er c #2a6fbf", ;
"eq c #2a6fc0", ;
"f. c #2a70c1", ;
"eG c #2a71c2", ;
".e c #2b4c82", ;
"#n c #2b59a3", ;
"eb c #2b6aba", ;
"ec c #2b6dbd", ;
"ed c #2b6ebe", ;
"dZ c #2b6fbe", ;
"ee c #2b6fbf", ;
"ef c #2b70bf", ;
"eM c #2b70c0", ;
"eg c #2b71c0", ;
"ep c #2b71c1", ;
"eo c #2b71c2", ;
"eB c #2b72c0", ;
"ei c #2b72c1", ;
"e9 c #2b72c2", ;
"gg c #2c69ab", ;
"eh c #2c72c1", ;
"eC c #2c72c2", ;
"eV c #2c72c3", ;
".F c #2d518b", ;
"de c #2d68b0", ;
"eD c #2d73c3", ;
"fv c #2d74c3", ;
"ff c #2d76c4", ;
"av c #2e5a9e", ;
"e8 c #2e73c3", ;
"eW c #2e74c3", ;
"fw c #2e7ac6", ;
".g c #2f4e81", ;
"fA c #2f63a0", ;
"dE c #2f6bb2", ;
"d3 c #2f6db4", ;
"eL c #2f74c4", ;
"fg c #2f75c4", ;
".N c #305898", ;
".z c #305a9c", ;
"cD c #306db3", ;
"eJ c #3074c3", ;
"eE c #3075c4", ;
"e7 c #3076c4", ;
"fu c #3076c5", ;
"bD c #3164b1", ;
"ds c #316cb9", ;
"dt c #316dbb", ;
"em c #316fb5", ;
"du c #316fbb", ;
"dA c #3172bf", ;
"eF c #3175c4", ;
"eK c #3176c4", ;
"fC c #3176c5", ;
"fT c #3177c5", ;
"bh c #3262a3", ;
"dr c #326bb9", ;
"dv c #326fbc", ;
"dw c #3270bd", ;
"db c #3270be", ;
"dx c #3271bd", ;
"dy c #3271be", ;
"dz c #3272bf", ;
"eX c #3276c5", ;
"bK c #3368ab", ;
"b4 c #3369b6", ;
"e1 c #3376c6", ;
"#. c #34568e", ;
"cc c #346caf", ;
"fS c #3477c5", ;
"cq c #356eba", ;
"ge c #3577c4", ;
"eY c #3578c6", ;
".q c #3660a0", ;
"fD c #3679c6", ;
".R c #375687", ;
"gj c #375e9a", ;
"fh c #3779c6", ;
"eI c #3873b7", ;
"eZ c #3879c7", ;
"e5 c #3979c6", ;
"ft c #397bc7", ;
"fU c #398acd", ;
"e0 c #3a7ac7", ;
"e6 c #3a7bc7", ;
"fZ c #3a7ebe", ;
"fa c #3b629a", ;
"fi c #3b7cc8", ;
"fE c #3b7dc7", ;
"fB c #3b88cd", ;
"fm c #3c7cc8", ;
".p c #3d5f96", ;
"he c #3d65a4", ;
"eS c #3d71a8", ;
"gd c #3d7cc7", ;
"fR c #3d7dc8", ;
"fs c #3d7ec9", ;
"#K c #3e5b8b", ;
"cP c #3e72b4", ;
"fj c #3e7ec9", ;
"gf c #3e85cb", ;
"e4 c #3f77b8", ;
"c7 c #3f77bf", ;
"da c #3f79c1", ;
"fF c #3f7fc8", ;
".O c #406195", ;
".A c #406196", ;
"bd c #406db4", ;
"c4 c #4075bc", ;
"c5 c #4076be", ;
"c6 c #4076bf", ;
"c8 c #4077c0", ;
"fk c #407fca", ;
"c3 c #4174bd", ;
"c9 c #4178c1", ;
"d. c #4179c1", ;
"d# c #417ac2", ;
"fq c #417fca", ;
"fl c #4180ca", ;
"aT c #42669c", ;
"ar c #4270ba", ;
"fV c #4273ab", ;
"fr c #4280cb", ;
"f0 c #4286ce", ;
"cL c #4379c0", ;
"fG c #4381ca", ;
"gE c #4471ab", ;
"fQ c #4483cb", ;
"as c #456498", ;
"gc c #4581ca", ;
"fK c #4581cb", ;
"c1 c #466799", ;
"fp c #467bba", ;
"fH c #4683cb", ;
".G c #476ca6", ;
"f1 c #4783cb", ;
"gY c #4872ad", ;
"gm c #4883cc", ;
"fP c #4884cc", ;
"cp c #497dc0", ;
"fI c #4984cc", ;
"f5 c #4984cd", ;
"gb c #4985cd", ;
"gy c #4a81c5", ;
"fJ c #4a85cc", ;
"dp c #4b6c9d", ;
"fN c #4b7dbb", ;
"gU c #4b80c3", ;
"f9 c #4b84cc", ;
"fO c #4b86cd", ;
"cC c #4c6a9a", ;
"cK c #4c80c3", ;
"gl c #4c89cf", ;
".c c #4d6894", ;
"#o c #4d6997", ;
"bc c #4d77b9", ;
"cF c #4d7dbf", ;
"cG c #4d7ec0", ;
"cH c #4d7fc1", ;
"ga c #4d87ce", ;
"cI c #4e80c2", ;
"cJ c #4e81c3", ;
"f2 c #4f88ce", ;
"f4 c #4f88cf", ;
"hC c #5078b6", ;
"gz c #507cb2", ;
"cE c #507fc1", ;
"gk c #5090cd", ;
".h c #516b96", ;
".y c #5175ad", ;
"bC c #517ebe", ;
"g# c #518acf", ;
"gC c #52688f", ;
"#L c #5279b6", ;
"f3 c #5289cf", ;
"gx c #528ad0", ;
"#J c #536e99", ;
"gW c #537bb7", ;
"gH c #538acf", ;
"gn c #538bd0", ;
"g. c #548bd0", ;
"gw c #548cd1", ;
"i# c #5576b4", ;
"gB c #5583ad", ;
"go c #558cd1", ;
"#t c #567cb7", ;
"gA c #5783b4", ;
"gv c #578ed2", ;
"gG c #578fd2", ;
"aU c #5884c3", ;
"gT c #588ed3", ;
"ck c #5988c5", ;
"i. c #5a79b1", ;
"b3 c #5a86c5", ;
"gp c #5a8fd2", ;
"ce c #5b86c2", ;
"cf c #5b87c3", ;
"cg c #5b88c4", ;
"ch c #5c88c5", ;
"ci c #5c89c5", ;
"cj c #5c8ac6", ;
"dQ c #5d78a3", ;
"## c #5d81ba", ;
"gS c #5d90d2", ;
"gI c #5d91d3", ;
"co c #5e89bf", ;
"id c #5f7fbd", ;
"cd c #5f8ac6", ;
"f8 c #5f8cc2", ;
"gu c #5f92d3", ;
"gV c #6091cb", ;
"g1 c #6092d4", ;
"hc c #6093d7", ;
"gF c #6099d4", ;
".6 c #61789c", ;
"ia c #6181bd", ;
"cb c #627ba4", ;
"h5 c #6380b1", ;
"gJ c #6395d5", ;
"bb c #6489c3", ;
"h. c #648ec8", ;
"h# c #648fc9", ;
"hb c #6496d6", ;
"hS c #6582b3", ;
".r c #6585b5", ;
"hw c #658ec2", ;
"g9 c #658fc9", ;
"g2 c #6596d5", ;
"bB c #668ec6", ;
"g6 c #6690c9", ;
"fd c #6780ab", ;
"bR c #6790c9", ;
"g5 c #6793ce", ;
"gR c #6891c6", ;
"g8 c #6891c9", ;
"g7 c #6891ca", ;
"ha c #6897d5", ;
"bM c #698ec6", ;
"bN c #6a8fc7", ;
"bO c #6a90c7", ;
"bP c #6a91c9", ;
"bQ c #6a92c9", ;
"b1 c #6a93ca", ;
"b2 c #6b93cb", ;
"g3 c #6b99d7", ;
"g0 c #6b9eda", ;
"cl c #6c95cd", ;
"g4 c #6c9ad8", ;
"bq c #6d94ca", ;
"bL c #6d96cd", ;
"b0 c #6e96cb", ;
"hi c #6e9bd8", ;
"ht c #6e9bd9", ;
"bi c #6f99d0", ;
"gZ c #70a3da", ;
"hQ c #7187ab", ;
"br c #7196cb", ;
"hf c #719dd3", ;
"hs c #729fda", ;
"ic c #738fc8", ;
"bs c #7399cc", ;
"hj c #739eda", ;
"hh c #739fdb", ;
"hu c #73a0dc", ;
"bt c #749acd", ;
".o c #7589a9", ;
"au c #7589aa", ;
"ib c #7691c9", ;
".4 c #7698cf", ;
"bp c #769acc", ;
"#W c #778aa9", ;
"h4 c #7795c8", ;
"bA c #779acc", ;
"bu c #779bce", ;
"gq c #77a2da", ;
"hr c #77a2dc", ;
"bk c #789acb", ;
"bl c #789acc", ;
"ac c #789ad0", ;
"bm c #789bcc", ;
"bn c #789bcd", ;
"hk c #78a2dc", ;
"bj c #7999ca", ;
"bo c #799bcd", ;
"by c #799cce", ;
"bx c #799dce", ;
"hq c #79a3de", ;
"hT c #7a98ca", ;
"bS c #7a9ecf", ;
"bv c #7a9ed0", ;
"hl c #7aa4dd", ;
"h9 c #7b91b9", ;
"bz c #7b9ece", ;
"cM c #7ba2d2", ;
"hp c #7ba4de", ;
"bw c #7c9fd0", ;
"hm c #7ca4de", ;
"ho c #7ca5de", ;
"hn c #7ca5df", ;
".M c #7d9dce", ;
".B c #7e90ab", ;
"fY c #7f96bb", ;
"a5 c #7f9fcc", ;
"#9 c #7f9fd2", ;
"hL c #80a7df", ;
"a6 c #81a1ce", ;
"hP c #81a5da", ;
"hK c #81a7df", ;
"hI c #81a7e0", ;
"hH c #81a8e0", ;
"do c #8298b9", ;
"ba c #82a1cf", ;
"a2 c #82a3d0", ;
"hJ c #82a8e0", ;
"hM c #82a8e1", ;
"hG c #82a9e1", ;
"aQ c #84a4d6", ;
"aW c #85a3cf", ;
"a1 c #85a5d2", ;
"aX c #86a3d0", ;
"aY c #86a4d1", ;
"aZ c #86a5d1", ;
"a0 c #86a5d2", ;
"a8 c #86a6d2", ;
"ig c #879bbe", ;
"dP c #879ebd", ;
"a9 c #87a5d1", ;
"a7 c #87a6d2", ;
"hv c #87b3e8", ;
"e. c #889ab8", ;
".x c #88a2c8", ;
"hg c #88b2e6", ;
"a3 c #89a7d3", ;
"hD c #89acde", ;
"gt c #89aede", ;
"b. c #8aa7d2", ;
"h3 c #8aa8d9", ;
".i c #8b9cb8", ;
"aV c #8ba7d1", ;
"b# c #8ba7d3", ;
"a4 c #8ba8d2", ;
"c0 c #8ca0be", ;
"aI c #8ca5cb", ;
"fy c #8d9ebe", ;
"hU c #8da9da", ;
"aJ c #8ea9d0", ;
"hF c #8eb1e6", ;
"aD c #8fabd5", ;
"hR c #90a1bc", ;
"hN c #90b4e7", ;
".s c #92a8cd", ;
".H c #92aed9", ;
"aM c #93acd4", ;
"ay c #94acd4", ;
"aA c #94acd5", ;
"az c #94add4", ;
"aL c #94add5", ;
"aB c #94aed5", ;
"aC c #94aed6", ;
"ax c #95acd4", ;
"aN c #95aed5", ;
"aK c #95aed7", ;
"#X c #97a7c0", ;
"h2 c #97b2e3", ;
"d9 c #98aac6", ;
"aO c #98b0d6", ;
"am c #99b0d1", ;
"aw c #99b3da", ;
"hV c #99b4e4", ;
"a# c #9aa7bd", ;
"bJ c #9aaac3", ;
"aP c #9bb1d6", ;
"hO c #9cbdec", ;
"gX c #9eadc8", ;
"ai c #9eb5d9", ;
".E c #9faec4", ;
"#U c #9fb9e1", ;
"hE c #9fbfee", ;
".w c #a1b6d7", ;
"ae c #a1b6d8", ;
"ao c #a1b6d9", ;
"af c #a1b7d9", ;
"ag c #a2b7d9", ;
"ah c #a2b7da", ;
"aq c #a2b7db", ;
"an c #a2b8da", ;
"ap c #a3b7d9", ;
"#Z c #a5bbdf", ;
"h1 c #a5beeb", ;
"h6 c #a6b3c9", ;
".t c #a6bad9", ;
".T c #a6bde1", ;
"hW c #a6bfec", ;
"hZ c #a6c0ee", ;
"h0 c #a7c1ec", ;
"hX c #a7c1ed", ;
"hY c #a7c1ee", ;
"ad c #a9bcdc", ;
"#m c #abc1e3", ;
"#3 c #acbede", ;
"ew c #aeb9cd", ;
"#7 c #aec0de", ;
".v c #aec1df", ;
"#1 c #b0c1de", ;
"#2 c #b0c1df", ;
"#6 c #b1c1db", ;
".u c #b1c3df", ;
"aE c #b1c5e1", ;
"#H c #b2c7e8", ;
"in c #b3bdcf", ;
"gr c #b3cbea", ;
"io c #b4becf", ;
"#0 c #b5c4e0", ;
"im c #b8c1d1", ;
"bT c #b8cbe6", ;
"#8 c #b9c8e2", ;
"d2 c #b9d0ea", ;
"ek c #b9d0eb", ;
"ip c #bac3d2", ;
"#R c #bbc9e0", ;
"#P c #bbcae3", ;
"dC c #bbd0ea", ;
"eH c #bcd2ec", ;
"#S c #bdcbe4", ;
"#O c #becce4", ;
"dc c #bed2eb", ;
"gK c #bed2ee", ;
"aj c #bfcee6", ;
"e2 c #bfd4ed", ;
"#N c #c0cee4", ;
"bU c #c0d1e9", ;
"ih c #c2c8d2", ;
"fn c #c2d6ee", ;
"#a c #c4d4ec", ;
"fL c #c4d7ee", ;
"#M c #c5d4ec", ;
"bV c #c6d6ea", ;
"cm c #c8d8ec", ;
"#T c #c9d4e8", ;
".L c #cad9f1", ;
"#E c #cbd6e9", ;
"f6 c #cbdcf1", ;
"aH c #ccd7e8", ;
"#y c #ccd7e9", ;
"#w c #ccd8e9", ;
"#x c #cdd8e9", ;
"#F c #ced8e9", ;
"gQ c #ced9e8", ;
"#z c #cfd9ea", ;
"bW c #d1deef", ;
"#D c #d4ddec", ;
"#v c #d5dded", ;
"gO c #d6dfed", ;
"gN c #d6e0ed", ;
"#u c #d6e1f3", ;
"al c #d8e0ed", ;
"gM c #d8e1ed", ;
"#G c #d9e1ee", ;
"#f c #d9e1f0", ;
"#e c #dae2ef", ;
"bX c #dae4f2", ;
"#d c #dbe3f0", ;
"#j c #dce3f0", ;
"gP c #dde5ef", ;
"#i c #dde5f1", ;
"#4 c #dde5f2", ;
"gs c #dde7f3", ;
"#c c #dee5f1", ;
"bZ c #dee7f4", ;
"#k c #e0e6f1", ;
"gL c #e1e8f2", ;
"#g c #e2e9f3", ;
".I c #e2ebf9", ;
"#l c #e3e9f4", ;
"#h c #e5ebf4", ;
"bY c #e6edf7", ;
"#b c #e7edf4", ;
".Z c #e8edf6", ;
"#A c #e9edf5", ;
".0 c #e9eef7", ;
".3 c #e9f0fa", ;
".Y c #eaeef7", ;
".X c #ebeff7", ;
"aF c #ebf0f6", ;
"dd c #eef2f8", ;
"dD c #eef3f8", ;
".W c #eff2f9", ;
"el c #eff3f8", ;
".U c #eff3fb", ;
"e3 c #eff4f8", ;
"fM c #f0f4f8", ;
"fo c #f0f4f9", ;
"cN c #f0f5fa", ;
"#Q c #f1f4f8", ;
"cO c #f1f5f9", ;
".1 c #f3f5fa", ;
"aG c #f3f6f9", ;
"cn c #f4f7fa", ;
".V c #f5f7fc", ;
"#C c #f6f7fb", ;
".2 c #f6f8fc", ;
"f7 c #f6f9fb", ;
"#5 c #fafbfd", ;
"ak c #fcfcfe", ;
".K c #fdfeff", ;
"#B c #fefeff", ;
".J c #ffffff", ;
"QtQtQtQtQtQtQtQtQtQt.#.a.b.c.d.e.f.g.h.i.j.kQt.#.l.mQtQtQtQtQtQt", ;
"QtQtQtQtQtQtQtQt.n.o.p.q.r.s.t.u.v.w.x.y.z.A.B.CQt.DQtQtQtQtQtQt", ;
"QtQtQtQtQtQt.m.E.F.G.H.I.J.J.J.J.J.J.J.K.L.M.N.O.P.k.kQtQtQtQtQt", ;
"QtQtQtQtQt.Q.R.S.T.U.V.W.X.Y.Z.Z.0.Y.Y.X.1.2.3.4.5.6.7.8QtQtQtQt", ;
"QtQtQtQt.9#.###a#b#c#d#d#e#f#g#h#i#e#j#d#d#j#k#l#m#n#o#p#qQtQtQt", ;
"QtQtQt#r#s#t#u#v#w#x#x#y#z#A#B.J#C#D#E#x#x#x#x#F#G#H#I#J.mQtQtQt", ;
"QtQt.m#K#L#M#N#O#O#O#O#P#j.J.J.J.J#Q#R#S#O#O#O#O#O#T#U#V#W.8QtQt", ;
"QtQt#X#Y#Z#0#1#1#2#2#2#3#4.J.J.J.J#5#6#7#2#2#2#2#1#1#8#9a.a#QtQt", ;
"Qtaaabacadaeafagagahahaiajak.J.J.JalamananahahagagaoapaqarasatQt", ;
"QtauavawaxayazaAaBaBaCaCaDaEaFaGaHaIaJaKaCaBaBaLaMaNaOaPaQaRaSQt", ;
"#qaTaUaVaWaXaXaYaZaZaZa0a1a2a3a4a5a6a7a8a0aZa9b.b#babbbcbdbebfQt", ;
"bgbhbibjbkblblbmbnbobpbqbrbsbtbubvbwbxbybybzbAbBbCbDbEbFbGbHbIQt", ;
"bJbKbLbMbNbObPbPbQbRbSbTbUbVbWbXbYbZb0b1b2b3b4b5b6b7b8b8b9c.c#ca", ;
"cbcccdcecfcgchcicjckclcm#5.J.J.J.JcncocpcqcrcsctcucvcwcxcyczcAcB", ;
"cCcDcEcFcGcHcHcIcJcJcKcLcMcN.J.J.JcOcPcQcRcScTcUcVc.cWbHcXcYcZc0", ;
"c1c2c3c4c5c6c7c8c9d.d#dadbdc.J.J.JdddedfdgdhdidjcScTdkc.dldmdndo", ;
"dpdqdrdsdtdudvdwdxdydzdAdBdC.J.J.JdDdEdFdGdHdIdJdidKdLcTdMdNdOdP", ;
"dQdRdSdTdidUdVdWdXdYdZd0d1d2.J.J.JdDd3d4d5d6dXdGdHdIdhdTcSd7d8d9", ;
"e.e#eaebdVecedeeefegeheiejek.J.J.Jelemeneoepeqerd6dXesdgeteuevew", ;
"exeyezeAd6efegeBeCeDeEeFeGeH.J.J.JeleIeJeKeLeDepeMerd6dXeNeOePeQ", ;
"eReSeTeUereieVeWeXeYeZe0e1e2.J.J.Je3e4e5e6eZeYe7e8e9f.ereUf#fafb", ;
"fcfdfeffe9fgeXfhfifjfkflfmfn.J.J.JfofpfqfrfqfsfteYfufvf.fwfxfyQt", ;
".8fzfAfBfCfDfEfFfGfHfIfJfKfL.J.J.JfMfNfJfOfPfQflfRftfSfTfUfVfWQt", ;
".lfXfYfZf0fmfGf1fOf2f3f4f5f6.J.J.Jf7f8f9g.g#gagbgcgdgegfggghQtQt", ;
"Qt.8gigjgkglgmf2gngogpgqgr.K.J.J.J.JgsgtgugvgwgxgygzgAgBgCQtQtQt", ;
"Qt.lfcgDgEgFgGgHgpgIgJgKgLgMgNgNgNgOgPgQgRgSgIgTgUgVgVgWQtQtQtQt", ;
"QtQt.kQtgXgYgZg0g1g2g3g4g5g6g7g7g8g6g9h.h#hahbhcgVgVgWQtQtQtQtQt", ;
"QtQtQt.DQthdhehfhghhhihjhkhlhmhnhohphqhrhshthuhvhwgWhx#qQtQtQtQt", ;
"QtQtQtQthyhzhAhBhChDhEhFhGhHhIhJhJhKhLhMhNhOhPgWhQQtQtQtQtQtQtQt", ;
"QtQtQtQtQtQtQtQthRhShThUhVhWhXhYhZh0h1h2h3h4h5h6QtQtQtQtQtQtQtQt", ;
"QtQtQtQtQtQtQtQtQth7h8h9i.i#iaibicidieifigihiiQtQtQtQtQtQtQtQtQt", ;
"QtQtQtQtQtQtQtQtQtQtQtijikiliminioipiqirQtQtQtQtQtQtQtQtQtQtQtQt" }

/* Image class */
function UIImage( file, isString )
    local obj
    if valtype(file) == "N"
    	obj := driver:createImage( getSysImage( file ), .T. )
    else
    	obj := driver:createImage( file, isString )
    endif
    obj:className := "UIImage"
    _recover_UIIMAGE(obj)
return obj

function _recover_UIIMAGE( obj )
return obj

function getSysImage( id )
	local idImages := array(4)
	idImages[1] := empty_pixmap	// empty pixmap
	idImages[2] := info_pixmap	// TODO: ok pixmap
	idImages[3] := error_pixmap	// error pixmap
	idImages[4] := info_pixmap	// TODO: question pixmap
	if id<0 .or. id>len(idImages)
		return NIL
	endif
return idImages[id]
